Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class BaseCircuitBreakerOnClassAndMethod

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClassAndMethod

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

Direct Known Subclasses:
  `DerivedCircuitBreakerOnClassAndMethodNoAnnotationOnOverriddenMethod`, `DerivedCircuitBreakerOnClassAndMethodNoRedefinition`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnClass`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnClassWithOverriddenMethod`, `DerivedCircuitBreakerOnClassAndMethodOverrideOnMethod`

@Dependent @CircuitBreaker(requestVolumeThreshold=16) @Typed(BaseCircuitBreakerOnClassAndMethod.class) public class BaseCircuitBreakerOnClassAndMethod extends Object implements CircuitBreakerLifecycleService

## Constructor Summary

Constructors
Constructor
Description
`BaseCircuitBreakerOnClassAndMethod()`

## Method Summary

Modifier and Type
Method
Description
`int`
`instanceId()`
`void`
`service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseCircuitBreakerOnClassAndMethod

public BaseCircuitBreakerOnClassAndMethod()

## Method Details

### instanceId

public int instanceId()

Specified by:
  `instanceId` in interface `CircuitBreakerLifecycleService`

### service

@CircuitBreaker(requestVolumeThreshold=8) public void service() throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Throws:
  `IOException`